package com.m2pool.oapi.service;


import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.oapi.vo.AccountDateVo;
import com.m2pool.oapi.vo.AccountMinerDateVo;
import com.m2pool.oapi.vo.AccountMinerVo;
import com.m2pool.oapi.vo.AccountVo;

/**
 * @Description 开放api  矿池  相关服务类
 * @Date 2024/6/14 11:40
 * @Author dy
 */
public interface MinerService {

    public AjaxResult getHashRateReal(AccountMinerVo vo);

    public AjaxResult getHashRateHistory(AccountMinerDateVo vo);

    public AjaxResult getHashRateLast24h(AccountMinerVo vo);

}
